> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.setnode.md).

# SetNode(string)

Method in [Dialogue](/2.2/api/csharp/yarn/yarn.dialogue.md)

## Summary

Prepares the [Dialogue](/2.2/api/csharp/yarn/yarn.dialogue.md) that the user intends to start running a node.

```csharp
public void SetNode(string startNode = DefaultStartNodeName)
```

## Remarks

After this method is called, you call [Continue()](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.continue.md) to start executing it.

If [PrepareForLinesHandler](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.prepareforlineshandler.md) has been set, it may be called when this method is invoked, as the Dialogue determines which lines may be delivered during the `startNode` node's execution.

## Parameters

| Name               | Description                                                                                                                                                                                                                                                  |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `string` startNode | The name of the node that will be run. The node have been loaded by calling [SetProgram(Program)](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.setprogram.md) or [AddProgram(Program)](/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.addprogram.md) . |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn/yarn.dialogue/yarn.dialogue.setnode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
